Hey list
I have been trying to compile Gimp to support my dual-Celleron, on a
Mandrake 7.2 beta3, with almost everything installed from 2 CD's.
I am using the 'new' Gimp-1.1.27 version, which should be corrected for
perl-problems, but when I run a "./compile --with-treads --with-mp" I
get the following output:
(snip)
checking for PDL support... yes
checking for PDL include
path... -I/usr/lib/perl5/site_perl/5.6.0/i386-linux/PDL/Core
checking for PDL
typemap...
/usr/lib/perl5/site_perl/5.6.0/i386-linux/PDL/Core/typemap.pdl
building embedded perl module... no
writing Gimp/Config.pm... ok
Checking if your kit is complete...
Warning: the following files are missing in your kit:
        po/Makefile.PL
        po/update.sh
Please inform the author.
Writing Makefile for Gimp::Lib
Writing Makefile for Gimp::Net
Writing Makefile for Gimp::UI
Writing Makefile for Gimp

When I then run a "make" everything seems to be OK - no error
statements.

Running "make install" (as root) ends as following:
(snip)
/usr/bin/ld: gimpset.o: invalid string offset 1 >= 0 for section
`.shstrtab'
libgimpim.a: could not read symbols: Malformed archive
collect2: ld returned 1 exit status
make[1]: *** [gimp] Error 1
make[1]: Leaving directory
`/home/mogens/Installerede-programmer/gimp-1.1.27/app'
make: *** [install-recursive] Error 1

I have been asking this on the Mandrake expert-list, but hav'nt got any
answers!

Who is the author mentioned at the end of the compile section? Is it the
Author of the Gimp or of Mandrake? 'building embedded perl module... no'

why not? and is this my problem? which part of the perl installation
should it come from?

One final thing - as far as I can see, it has no influence on the build
of the program, but I always get the message:
configure: warning: *** Help browser plug-in will not be built
(GtkXMHTML library not found) ***
I can't find any RPM's with that name, so where do I get hold of that
library?
Thanks in advance
Sincerely Mogens Jęger



Reply via email to